# Tests for the NoTokenException
#
# @Author: Christopher Hylands
#
# @Version: $Id: NoTokenException.tcl,v 1.12 2005/02/28 21:04:59 cxh Exp $
#
# @Copyright (c) 1997-2005 The Regents of the University of California.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in all
# copies of this software.
#
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
# THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
# PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
# CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS, OR MODIFICATIONS.
#
# 						PT_COPYRIGHT_VERSION_2
# 						COPYRIGHTENDKEY
#######################################################################

# Ptolemy II test bed, see $PTII/doc/coding/testing.html for more information.

# Load up the test definitions.
if {[string compare test [info procs test]] == 1} then {
    source testDefs.tcl
} {}

# Uncomment this to get a full report, or set in your Tcl shell window.
# set VERBOSE 1

######################################################################
####
#
test NoTokenException-1.0 {Constructor that takes String arg} {
    set ex [java::new ptolemy.actor.NoTokenException "Detail Message"]
    $ex getMessage
} {Detail Message}

test NoTokenException-2.1 {Constructor that takes a Nameable and a String} {
    set ex [java::new ptolemy.actor.NoTokenException \
	    [java::null] "Detail Message"]
    $ex getMessage
} {Detail Message}

test NoTokenException-2.2 {Constructor that takes a Nameable and a String} {
    set n [java::new ptolemy.kernel.util.NamedObj "My NMamedObj"]
    set ex [java::new ptolemy.actor.NoTokenException \
	    $n \
	     "Detail Message"]
    $ex getMessage
} {Detail Message
  in .My NMamedObj}
